#!/bin/sh

mypath=${0%/*}

export PATH=$mypath:$PATH

#set env
. /etc/initservices/services/ezxenv.sh

dir=/ezxlocal/RokrDesk
p7zip=/usr/local/p7zip/7z
a=$dir/frameworkdb.xml
b=$dir/RokrDesk.cfg
c=$dir/libdesk.so.1.0.0
d=$dir/skin



INSTALL()
{
	echo "Установка"
	showRadio "Установка" "Первый запуск" "Установка RokrDesk" "Переустановка RokrDesk"
	ret=$?
	case $ret in
		1)
			showQ "Установка RokrDesk" "Установить RokrDesk?" 1
			[ $? -ne 1 ] && exit 0
			deathDlg "Установка RokrDesk" "Пожалуйста подождите!" "$mypath/install.sh"
		;;
		2)
			showQ "Переустановка RokrDesk" "Переустановить RokrDesk?" 1
			[ $? -ne 1 ] && exit 0
			rm -rf $dir			
			deathDlg "Переустановка RokrDesk" "Пожалуйста подождите!" "$mypath/install.sh"
		;;
		*)
			exit 0
		;;
	esac
}

CHK()
{
	echo "chk"
	if [ ! -d $dir ]
	then
		INSTALL
		exit 0
	fi
	
	for i in $a $b $c $d
	do
		if [ ! -e $i ]
		then
			INSTALL
			exit 0
		fi
	done
	
	#if ! grep frameworkdb.xml /proc/mounts
	#then
	#	mount -o bind $a /usr/SYSqtapp/homescreen/frameworkdb.xml
	#fi	
}

echo "Open GUI"

CHK

exec $mypath/RokrDeskUI &

exit 0
